# declared static method

Parameter declared(

1. ParameterDeclaration declaration,
2. ProtectionDomain domain

)

Creates a Parameter instance from reflection metadata.

Parameters:

- `declaration`: The parameter reflection metadata
- `domain`: The protection domain for security

Returns:

- A concrete Parameter implementation

Typical implementation:

    static Parameter declared(ParameterDeclaration d, ProtectionDomain p) {
      return _ParameterImpl(d, p);
    }

## Implementation

    static Parameter declared(ParameterDeclaration declaration, ProtectionDomain domain) {
      return _Parameter(declaration, domain);
    }